#!/bin/bash
set -e

type="$1"
shift

cd "$PASSWORD_STORE_DIR"
pws="$(find -path "*/.*" -prune -o -path "*/cred/*" -name "*.gpg" -printf '%P\n' | sed 's/\.gpg$//')"
pw="$(echo "$pws" | bemenu --prompt "pass")"

case "$type" in
	otp) pass otp -c "$pw" && notify-send "$pw" -a pass "OTP copied to clipboard, clears in 45s";;
	*) pass -c "$pw" && notify-send "$pw" -a pass "Password copied to clipboard, clears in 45s";;
esac

